import {
	cloudRulesApiFun
} from "@/common/api/cloud_rules.js"
import {
	commonApiFun
} from '@/common/api/common.js';
import {
	settledApiFun
} from '@/common/api/settled.js';
import { learnApiFun } from "@/common/api/learn.js";
let apiFun = function(vm) {
	let commonApi = commonApiFun(vm);
	let settledApi = settledApiFun(vm)
	let cloudApi = cloudRulesApiFun(vm)
	let learnApi=learnApiFun(vm)
	let apiUrl = {
		...commonApi,
		...settledApi,
		...cloudApi,
		...learnApi
	}
	return apiUrl
}

module.exports = {
	apiFun
}
